Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for ClickHouse®
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Yandex Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database
  1. API reference
  2. REST
  3. Database
  4. List

Managed Service for ClickHouse API, REST: Database.List

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database

Retrieves the list of ClickHouse Database resources in the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}/databases

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the ClickHouse cluster to list databases in.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListDatabasesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. to get the next page of results, set pageToken to the ListDatabasesResponse.nextPageToken
returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "databases": [
    {
      "name": "string",
      "clusterId": "string",
      "engine": "string",
      "deletionProtectionMode": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

databases[]

Database

List of ClickHouse databases.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListDatabasesRequest.pageSize, use the nextPageToken as the value
for the ListDatabasesRequest.pageToken parameter in the next list request. Each subsequent
list request will have its own nextPageToken to continue paging through the results.

DatabaseDatabase

A ClickHouse Database resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Required field. Name of the database.

clusterId

string

Required field. ID of the ClickHouse cluster that the database belongs to.

engine

enum (DatabaseEngine)

Database engine. For details, see ClickHouse documentation.

  • DATABASE_ENGINE_ATOMIC: Atomic database engine.
  • DATABASE_ENGINE_REPLICATED: Replicated database engine.

deletionProtectionMode

enum (DeletionProtectionMode)

Deletion protection mode.
Default value: DELETION_PROTECTION_MODE_DISABLED.

  • DELETION_PROTECTION_MODE_DISABLED: Deletion protection is disabled.
  • DELETION_PROTECTION_MODE_ENABLED: Deletion protection is enabled.
  • DELETION_PROTECTION_MODE_INHERITED: Deletion protection mode is inherited from the cluster.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.